Bug 428770 - samba-3.0.25b-0.4E.5 - Errors when group and user exists with same name
samba-3.0.25b-0.4E.5 - Errors when group and user exists with same name
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.5
All Linux
low Severity high
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 20:51 EST by Adrian Sender
Modified: 2010-05-10 10:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 10:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian Sender 2008-01-14 20:51:59 EST
After upgrading from samba-3.0.10-1.4E.12.2 to samba-3.0.25b-0.4E.5 we loose the
ability to browse shares.

[2008/01/13 06:19:23, 1] auth/auth_util.c:create_token_from_username(1104)
DSG01L\delta is a Domain Group, not a user

This problem has been reported in the past and was supposed to be fixed.

----------------------------------------------------------------------------
[Samba] [Problem] Samba v3 Errors when group and user exists with same name]

jerry said:

| i have a user called "biblio" and a group called "biblio"
| normally this is no problem under linux but samba seems to "emulate"
| windows behaviour indirectly.

Windows won't allow a user and groupw ith the same name.
Not much we can do about that. However, if you establish a
group mapping entry and set the ntgroup value to a
different string, things will work out ok.
----------------------------------------------------------------------------

Modification to group mapping were made as suggested however the problem still
exists.

[root@ssg01l01 ldap]# slapcat | grep delta
dn: cn=delta,ou=Groups,dc=ibmafap,dc=au,dc=ibm,dc=com
cn: delta
displayName: nt_delta
dn: uid=delta,ou=People,dc=ibmafap,dc=au,dc=ibm,dc=com
uid: delta
[root@ssg01l01 ldap]# net groupmap list | grep delta
nt_delta (S-1-5-21-711478032-715020732-708409250-47037) -> delta

After modifying the share to make it compatible with new version of samba we
still experience the error.

[delta]
comment = Group share delta owned by
path = /smbshare/groups/delta 
admin users = +wheel
valid users = +wheel, +DSG01L\nt_delta
force user = DSG01L\delta
force group = +DSG01L\nt_delta
Comment 1 Simo Sorce 2008-12-17 13:42:41 EST
Adrian,
do you still see this problem with more recent releases ?
Comment 2 Dmitri Pal 2010-05-10 10:44:16 EDT
No response from the reporter.

Note You need to log in before you can comment on or make changes to this bug.